#include <bits/stdc++.h>
using namespace std;
int T,N,M,A[1000000],B[1000000],X;
int main()
{
cin>>T;

for (int i=1; i<=T; i++){
    cin>>N>>M;

    for (int i=1; i<=N; i++){
        cin>>A[i];
    }
    for (int i=1; i<=M; i++){
        cin>>B[i];
    }
}

cout<<1<<endl;


 return 0;
}